<?php
// +-------------------------------------------------+
// © 2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: mail_opac_user_resa_planning.class.php,v 1.1.12.1 2025/12/17 08:25:48 qvarin Exp $

if (stristr($_SERVER['REQUEST_URI'], ".class.php")) die("no access");

class mail_opac_user_resa_planning extends mail_opac_user_resa {

    protected $recipient;

	protected function get_mail_object() {
		global $msg;

		if ($this->annul==1) {
			$mail_object = $msg["mail_obj_resa_planning_canceled"] ;
		} elseif ($this->annul==2) {
			$mail_object = $msg["mail_obj_resa_planning_reaffected"] ;
		} else {
				$mail_object = $msg["mail_obj_resa_planning_added"] ;
		}
		return $mail_object." ".$this->recipient->aff_quand;
	}
}